com.sun.tdk.specdiff.ant

## Class Configuration

- java.lang.Object
- - com.sun.tdk.specdiff.ant.Configuration

- All Implemented Interfaces:
    java.io.Serializable

      public final class Configuration
      extends java.lang.Object
      implements java.io.Serializable

  Task's configuration VO.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(Configuration parent, java.util.Map<java.lang.String,java.lang.String> params)` Constructor-copy

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(java.lang.String paramName)`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getObject(java.lang.String paramName)`
    `java.lang.String` | `getParameter(java.lang.String paramName)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
    `java.lang.String` | `removeParameter(java.lang.String paramName)`
    `java.lang.String` | `setParameter(java.lang.String paramName, java.lang.String paramValue)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration(Configuration parent,
                               java.util.Map<java.lang.String,java.lang.String> params)

      Constructor-copy

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### contains

          public boolean contains(java.lang.String paramName)

    - #### getParameter

          public java.lang.String getParameter(java.lang.String paramName)

    - #### removeParameter

          public java.lang.String removeParameter(java.lang.String paramName)

    - #### setParameter

          public java.lang.String setParameter(java.lang.String paramName,
                                               java.lang.String paramValue)

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.String> getParameters()

    - #### getObject

          public java.lang.Object getObject(java.lang.String paramName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`